/* Exemplo usando argumentos de linha de comando. */
/* Obtem quantidade de frases (máximo de 20), lê esta quantidade
 * de frases e  imprime na saída padrão. 
 * Ex.: prog 5
 */

#include <stdio.h>
#include <stdlib.h>

#define TAM_FRASE   100
#define NUM_FRASES  20

int main (int argc, char *argv[]) 
{
  char frases[NUM_FRASES][TAM_FRASE];
  int i, nfrs;

  if (argc < 2)
    do {
      printf("Entre quantidade de frases: ");
    } while (scanf("%d", &nfrs) != 1);
  else if (argc == 2)
    nfrs = atoi (argv[1]);

  if (argc > 2)
    printf("\nForma de uso: %s [quant-frases]\n\n", argv[0]);
  else {
    if (nfrs > NUM_FRASES)
      nfrs = NUM_FRASES;

    getchar();
    for (i = 0; i < nfrs; i++) {
      printf("Entre com frase %d: ", i+1);
      fgets(frases[i], TAM_FRASE, stdin);
    }
    
    printf("\n========== FRASES LIDAS ===============\n");

    for (i = 0 ; i < nfrs; i++)
      printf("Escrevendo frase %d: %s\n", i + 1, frases[i]);
  }
}
